%define name xmms-singit
%define version 0.0.8
%define release 2mdk

Summary:	 Lyric Displayer and editor plugin for XMMS
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		%{name}-%{version}.tar.bz2
License:	GPL
Group:		Sound
Url:		http://stud.fbi.fh-darmstadt.de/~glogow/
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	glib2-devel
BuildRequires:	gtk+1.2-devel
BuildRequires:	xmms1-devel
BuildRequires:	libid3-devel

%description
The SingIt Lyric Displayer is an XMMS plugin which displays
formatted lyrics, including id3v2xx lyrics.
It consists of the displayer and an integrated editor
which allows one to easily insert time stamps, edit the text,
and export & strip HTML.

%prep
%setup -q

%build
#we don't use libtool 1.5 yet
%define __libtoolize /bin/true
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization
%makeinstall libdir=$RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_libdir}/xmms/Visualization/libxmms_singit.so
%{_libdir}/xmms/Visualization/libxmms_singit.la
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/xmms-singit.mo

%changelog
* Mon Sep 08 2003 Olivier Blin <oliv.blin@laposte.net> 0.0.8-2mdk
- don't run libtoolize to actually package the plugin
- fix plugins dir

* Mon Sep 08 2003 Olivier Blin <oliv.blin@laposte.net> 0.0.8-1mdk
- Initial release for Mandrake
